### Function

# Gtk TreeModelFilterVisibleFunc

#### Declaration

    gboolean
    TreeModelFilterVisibleFunc (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function which decides whether the row indicated by `iter` is visible.

#### Parameters

`model` | `GtkTreeModel`
| The child model of the `GtkTreeModelFilter`.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` pointing to the row in `model` whose visibility is determined.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data given to gtk_tree_model_filter_set_visible_func().

#### Return value

Returns: | `gboolean`
| Whether the row indicated by `iter` is visible.